# $Revision: 1.47 $, $Date: 2010/08/24 07:00:00 $
Summary:	A graphical interface for configuring printers
Summary(pl.UTF-8):	Graficzny interfejs do zarządzania drukarkami
Name:		system-config-printer
Version:	1.2.4
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://cyberelk.net/tim/data/system-config-printer/1.2/%{name}-%{version}.tar.bz2
# Source0-md5:	cf7b45043c25bd32a0437346abf45a0e
URL:		http://cyberelk.net/tim/software/system-config-printer/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	desktop-file-utils
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	intltool
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRequires:	xmlto
%pyrequires_eq	python-libs
Requires:	python-PyXML
Requires:	python-pycups >= 1.9.28
Requires:	python-pygtk-glade
Requires:	python-pynotify
Requires:	python-smbc
Obsoletes:	eggcups
Obsoletes:	gnome-cups-manager < 0.34
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The purpose of the tool is to configure a CUPS server (often the local
machine) using the CUPS API. The tool is written in Python, using
pygtk for the graphical parts and with some Python bindings (pycups)
for the CUPS API.

%description -l pl.UTF-8
To narzędzie służy do konfigurowania serwera CUPS (zwykle na maszynie
lokalnej) przy użyciu API CUPS-a. Narzędzie jest napisane w Pythonie z
użyciem pygtk do części graficznych i dowiązań Pythona (pycups) do API
CUPS-a.

%prep
%setup -q

%build
%{__intltoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make} -j 1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%py_comp $RPM_BUILD_ROOT%{_datadir}/system-config-printer
%py_ocomp $RPM_BUILD_ROOT%{_datadir}/system-config-printer
%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}/cupshelpers
%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}/cupshelpers
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/system-config-printer
%attr(755,root,root) %{_bindir}/system-config-printer-applet
%{_sysconfdir}/xdg/autostart/*.desktop
/etc/dbus-1/system.d/newprinternotification.conf
/etc/dbus-1/system.d/printerdriversinstaller.conf
%dir %{_datadir}/system-config-printer
%dir %{_datadir}/system-config-printer/ui
%{_datadir}/system-config-printer/ui/*.glade
%attr(755,root,root) %{_datadir}/system-config-printer/*.py*
%dir %{_datadir}/system-config-printer/troubleshoot
%attr(755,root,root) %{_datadir}/system-config-printer/troubleshoot/*.py*
%dir %{_datadir}/system-config-printer/icons
%{_datadir}/system-config-printer/icons/i-network-printer.png
%{_mandir}/man*/*
%{_desktopdir}/*.desktop
%{py_sitescriptdir}/cupshelpers-1.0-py*.egg-info
%dir %{py_sitescriptdir}/cupshelpers
%{py_sitescriptdir}/cupshelpers/*.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: system-config-printer.spec,v $
Revision 1.47  2010/08/24 07:00:00  lisu
- updated to 1.2.4

Revision 1.46  2010/07/08 08:48:06  arekm
- release 2

Revision 1.45  2010/06/25 07:41:03  lisu
- 1.2.3

Revision 1.44  2010/05/10 08:15:06  lisu
- 1.2.2

Revision 1.43  2010/04/15 07:27:12  lisu
- 1.2.1

Revision 1.42  2010/03/18 11:01:58  lisu
- updated to 1.2.0
- merged with DEVEL
- changes in %%files

Revision 1.41  2010/03/11 09:55:04  lisu
- 1.1.18

Revision 1.40  2010/02/16 20:58:09  ankry
- no longer no in src

Revision 1.39  2010/02/15 09:57:36  patrys
- added missing BR
- rel 2

Revision 1.38  2010/02/10 16:02:09  lisu
- 1.1.17

Revision 1.37  2010/01/28 13:37:27  sparky
- BR: docbook-dtd412-xml, python-modules, rpm-pythonprov

Revision 1.36.2.3  2010/03/11 09:57:19  lisu
- 1.1.93

Revision 1.36.2.2  2010/02/10 16:04:04  lisu
- 1.1.91

Revision 1.36.2.1  2010/01/28 12:39:17  lisu
- up to 1.1.90 (pre 1.2)

Revision 1.36  2010/01/28 12:04:52  lisu
- 1.1.16

Revision 1.35  2009/12/02 10:00:35  lisu
- 1.1.15

Revision 1.34  2009/09/22 12:47:23  lisu
- up to 1.1.13
- sedding is no longer needed

Revision 1.33  2009/08/26 12:42:48  lisu
- up to 1.1.12

Revision 1.32  2009/08/10 11:24:43  lisu
- up to 1.1.11

Revision 1.31  2009/07/23 18:13:27  shadzik
- R: python-pygtk-glade
- rel 2

Revision 1.30  2009/07/23 08:57:35  lisu
- up to 1.1.10
- use sed macro
- BR: sed >= 4.0

Revision 1.29  2009/07/17 08:42:03  patrys
- 1.1.8

Revision 1.28  2009/05/27 11:31:53  paszczus
- updated to 1.1.7

Revision 1.27  2009/03/21 20:43:42  patrys
- 1.1.6

Revision 1.26  2009/01/03 16:07:56  rotom
- lost dir added

Revision 1.25  2009/01/03 16:01:52  rotom
- up to 1.1.1

Revision 1.24  2008/12/01 17:43:39  paszczus
- updated to 1.0.12

Revision 1.23  2008/11/21 22:07:05  rotom
- up to 1.0.11

Revision 1.22  2008/10/23 15:46:41  qboosh
- py_postclean usage (pythondirs are always scanned)

Revision 1.21  2008/10/23 15:10:35  patrys
- 1.0.9

Revision 1.20  2008/10/20 17:28:26  qboosh
- reordered files

Revision 1.19  2008/10/18 18:13:48  paszczus
- updated to 0.9.93

Revision 1.18  2008-03-17 18:54:25  qboosh
- unified order

Revision 1.17  2008-03-17 11:48:58  patrys
- use gksu
- fix binary path in desktop
- rel 2

Revision 1.16  2008-03-16 21:46:39  patrys
- 0.7.82

Revision 1.15  2007-12-28 01:30:42  zbyniu
- up to 0.7.78

Revision 1.14  2007-11-10 16:51:07  megabajt
- sr@Latn -> sr@latin; release 2

Revision 1.13  2007/10/23 22:11:31  patrys
- 0.7.76

Revision 1.12  2007/05/28 10:30:12  patrys
- more R:

Revision 1.11  2007/05/25 22:41:46  qboosh
- pl

Revision 1.10  2007/05/25 21:55:12  wolvverine
- add BR

Revision 1.9  2007/05/25 20:17:16  wolvverine
- add BR

Revision 1.8  2007/05/24 13:26:21  patrys
- R: pynotify

Revision 1.7  2007/05/24 13:21:13  patrys
- require newer pycups

Revision 1.6  2007/05/24 11:33:03  patrys
- works

Revision 1.5  2007/05/23 19:21:04  patrys
- R: pycups

Revision 1.4  2007/05/23 19:20:38  patrys
- desc and summary (pl desc missing)

Revision 1.3  2007/05/23 19:18:42  patrys
- almost works

Revision 1.2  2007/05/23 19:12:22  patrys
- fixed deps
- TODO: descriptions

Revision 1.1  2007/05/23 19:10:32  patrys
- initial PLD release
